Package com.independentsoft.office.odf.styles

# Class DefaultTextStyle

java.lang.Object
com.independentsoft.office.odf.styles.DefaultStyle
com.independentsoft.office.odf.styles.DefaultTextStyle

public class DefaultTextStyle extends DefaultStyle
Represents default styles of the text style.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.styles.DefaultStyle

  `family`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultTextStyle()`
  Initializes a new instance of the DefaultTextStyle class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DefaultTextStyle`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getAsianCountry()`
  Gets the country of a text.It is evaluated for [UNICODE] characters that are CJK characters.
  `String`
  `getAsianFont()`
  Gets the font of choice.
  `String`
  `getAsianFontCharacterSet()`
  Specifies whether a font defines glyphs according to the semantics of [UNICODE] or not.
  `String`
  `getAsianFontFamily()`
  Gets the font family for a text.It is evaluated for [UNICODE] characters that are CJK characters.
  `FontPitch`
  `getAsianFontPitch()`
  Specifies whether a font has a fixed or variable width.
  `Size`
  `getAsianFontSize()`
  Gets the size of a font.It is evaluated for [UNICODE] characters that are CJK characters.
  `String`
  `getAsianFontStyle()`
  Specifies whether to use normal or italic font face.
  `FontStyleType`
  `getAsianFontStyleType()`
  Gets the font asian style type.
  `FontWeight`
  `getAsianFontWeight()`
  Gets the weight of a font.It is evaluated for [UNICODE] characters that are CJK characters.
  `GenericFontFamily`
  `getAsianGenericFontFamily()`
  Gets the generic Asian font family name.It is evaluated for [UNICODE] characters that are CJK characters.
  `String`
  `getAsianLanguage()`
  Gets the language of a text.It is evaluated for [UNICODE] characters that are CJK characters.
  `String`
  `getBackgroundColor()`
  Gets the background color for text sections.
  `String`
  `getColor()`
  Gets the color of the text.
  `String`
  `getComplexCountry()`
  Gets the country of a text.It is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
  `String`
  `getComplexFont()`
  Gets the font of choice.
  `String`
  `getComplexFontCharacterSet()`
  Specifies whether a font defines glyphs according to the semantics of [UNICODE] or not.It is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
  `String`
  `getComplexFontFamily()`
  Gets the font family for a text.This attribute is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
  `FontPitch`
  `getComplexFontPitch()`
  Specifies whether a font has a fixed or variable width.
  `Size`
  `getComplexFontSize()`
  Gets the size of a font.It is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
  `String`
  `getComplexFontStyle()`
  Specifies whether to use normal or italic font face.
  `FontStyleType`
  `getComplexFontStyleType()`
  Gets the font complex style type.
  `FontWeight`
  `getComplexFontWeight()`
  Gets the weight of a font.It is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
  `GenericFontFamily`
  `getComplexGenericFontFamily()`
  Gets the generic font family name.
  `String`
  `getComplexLanguage()`
  Gets the language of a text.It is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
  `String`
  `getCountry()`
  Gets the country of a text.
  `String`
  `getFont()`
  Gets the font of the text.
  `String`
  `getFontCharacterSet()`
  Specifies whether a font defines glyphs according to the semantics of [UNICODE] or not.
  `String`
  `getFontFamily()`
  Gets the font family for a text.
  `FontPitch`
  `getFontPitch()`
  Specifies whether a font has a fixed or variable width.
  `FontRelief`
  `getFontRelief()`
  Specifies whether a font should be embossed, engraved, or neither.
  `Size`
  `getFontSize()`
  Gets the size of a font.
  `String`
  `getFontStyle()`
  Gets the font style name.
  `FontStyleType`
  `getFontStyleType()`
  Gets the font style type.
  `FontVariant`
  `getFontVariant()`
  Gets the font variant of the text.
  `FontWeight`
  `getFontWeight()`
  Gets the weight of a font.
  `GenericFontFamily`
  `getGenericFontFamily()`
  Gets the generic font family name.This attribute is evaluated for any [UNICODE] character other than CJK or complex text layout (CTL) characters.
  `int`
  `getHyphenationPushCharCount()`
  Gets the hyphenation push char count.
  `int`
  `getHyphenationRemainCharCount()`
  Gets the hyphenation remain char count.
  `String`
  `getLanguage()`
  Gets the language of a text.
  `Size`
  `getLetterSpacing()`
  Gets the spacing between letters.
  `LineMode`
  `getLineThroughWordMode()`
  Specifies whether lining through is applied to words only or to portions of text.
  `Size`
  `getRelativeAsianFontSize()`
  Gets the relative font size change.It is evaluated for [UNICODE] characters that are CJK characters.
  `Size`
  `getRelativeComplexFontSize()`
  Gets the relative font size change.It is evaluated for [UNICODE] characters that are CJK characters.
  `Size`
  `getRelativeFontSize()`
  Gets the relative font size change.It is evaluated for any [UNICODE] character other than CJK or complex text layout (CTL) characters.
  `ScriptType`
  `getScriptType()`
  Gets the script type.
  `String`
  `getShadow()`
  Gets the text shadow style to use.
  `TextCombine`
  `getTextCombine()`
  Specifies whether to combine characters so that they are displayed within two lines.
  `char`
  `getTextCombineEndChar()`
  Gets the end character that is displayed after a portion of text.
  `char`
  `getTextCombineStartChar()`
  Gets the start character that is displayed before a portion of text.
  `LineType`
  `getTextLineThrough()`
  Gets the color that is used for line-through text.
  `String`
  `getTextLineThroughColor()`
  Gets the color that is used for line-through text.
  `LineStyle`
  `getTextLineThroughStyle()`
  Gets the style for rendering a line-through text.
  `String`
  `getTextLineThroughText()`
  Gets the text that is used for line-through.
  `String`
  `getTextLineThroughTextStyle()`
  Gets the text style that is applied to text-line-through characters.
  `String`
  `getTextLineThroughWidth()`
  Gets the width of a line-through line.
  `TextPosition`
  `getTextPosition()`
  Specifies whether text is positioned above or below the baseline and to specify the relative font height that is used for this text.
  `TextProperties`
  `getTextProperties()`
  Specifies the text properties.
  `int`
  `getTextRotationAngle()`
  Specifies an angle to which text is rotated.If more than one character is selected, the entire selection is rotated as a block.
  `TextRotationScale`
  `getTextRotationScale()`
  Specifies whether for rotated text the width of the text should be scaled to fit into the current line height or the width of the text should remain fixed, therefore changing the current line height.
  `int`
  `getTextScale()`
  Gets the text scale.
  `TextTransformation`
  `getTextTransformation()`
  Gets the text transformation.
  `String`
  `getUnderlineColor()`
  Gets the color that is used to underline text.
  `UnderlineStyle`
  `getUnderlineStyle()`
  Gets the style for underlining text.
  `UnderlineType`
  `getUnderlineType()`
  Gets the type of underlining applied to a text.
  `String`
  `getUnderlineWidth()`
  Gets the width of an underline.
  `LineMode`
  `getUnderlineWordMode()`
  Specifies whether underlining is applied to words only or to portions of text.
  `boolean`
  `isEnableHyphenation()`
  Checks if is enable hyphenation.
  `boolean`
  `isEnableLetterKerning()`
  Specifies whether kerning between characters is enabled or disabled.
  `boolean`
  `isEnableTextBlinking()`
  Specifies whether text blinks.
  `boolean`
  `isLetterSpacingNormal()`
  Spacing between letters has value "normal".
  `boolean`
  `isTextOutline()`
  Specifies whether to display an outline of text or the text itself.
  `void`
  `setAsianCountry​(String asianCountry)`
  Sets the country of a text.It is evaluated for [UNICODE] characters that are CJK characters.
  `void`
  `setAsianFont​(String asianFont)`
  Sets the font of choice.
  `void`
  `setAsianFontCharacterSet​(String asianFontCharacterSet)`
  Specifies whether a font defines glyphs according to the semantics of [UNICODE] or not.
  `void`
  `setAsianFontFamily​(String asianFontFamily)`
  Sets the font family for a text.It is evaluated for [UNICODE] characters that are CJK characters.
  `void`
  `setAsianFontPitch​(FontPitch asianFontPitch)`
  Specifies whether a font has a fixed or variable width.
  `void`
  `setAsianFontSize​(Size asianFontSize)`
  Sets the size of a font.It is evaluated for [UNICODE] characters that are CJK characters.
  `void`
  `setAsianFontStyle​(String asianFontStyle)`
  Specifies whether to use normal or italic font face.
  `void`
  `setAsianFontStyleType​(FontStyleType asianFontStyleType)`
  Sets the font asian style type.
  `void`
  `setAsianFontWeight​(FontWeight asianFontWeight)`
  Sets the weight of a font.It is evaluated for [UNICODE] characters that are CJK characters.
  `void`
  `setAsianGenericFontFamily​(GenericFontFamily asianGenericFontFamily)`
  Sets the generic Asian font family name.It is evaluated for [UNICODE] characters that are CJK characters.
  `void`
  `setAsianLanguage​(String asianLanguage)`
  Sets the language of a text.It is evaluated for [UNICODE] characters that are CJK characters.
  `void`
  `setBackgroundColor​(String backgroundColor)`
  Sets the background color for text sections.
  `void`
  `setColor​(String color)`
  Sets the color of the text.
  `void`
  `setComplexCountry​(String complexCountry)`
  Sets the country of a text.It is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
  `void`
  `setComplexFont​(String complexFont)`
  Sets the font of choice.
  `void`
  `setComplexFontCharacterSet​(String complexFontCharacterSet)`
  Specifies whether a font defines glyphs according to the semantics of [UNICODE] or not.It is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
  `void`
  `setComplexFontFamily​(String complexFontFamily)`
  Sets the font family for a text.This attribute is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
  `void`
  `setComplexFontPitch​(FontPitch complexFontPitch)`
  Specifies whether a font has a fixed or variable width.
  `void`
  `setComplexFontSize​(Size complexFontSize)`
  Sets the size of a font.It is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
  `void`
  `setComplexFontStyle​(String complexFontStyle)`
  Specifies whether to use normal or italic font face.
  `void`
  `setComplexFontStyleType​(FontStyleType complexFontStyleType)`
  Sets the font complex style type.
  `void`
  `setComplexFontWeight​(FontWeight complexFontWeight)`
  Sets the weight of a font.It is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
  `void`
  `setComplexGenericFontFamily​(GenericFontFamily complexGenericFontFamily)`
  Sets the generic font family name.
  `void`
  `setComplexLanguage​(String complexLanguage)`
  Sets the language of a text.It is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
  `void`
  `setCountry​(String country)`
  Sets the country of a text.
  `void`
  `setEnableHyphenation​(boolean enableHyphenation)`
  Sets the enable hyphenation.
  `void`
  `setEnableLetterKerning​(boolean enableLetterKerning)`
  Specifies whether kerning between characters is enabled or disabled.
  `void`
  `setEnableTextBlinking​(boolean enableTextBlinking)`
  Specifies whether text blinks.
  `void`
  `setFont​(String font)`
  Sets the font of the text.
  `void`
  `setFontCharacterSet​(String fontCharacterSet)`
  Specifies whether a font defines glyphs according to the semantics of [UNICODE] or not.
  `void`
  `setFontFamily​(String fontFamily)`
  Sets the font family for a text.
  `void`
  `setFontPitch​(FontPitch fontPitch)`
  Specifies whether a font has a fixed or variable width.
  `void`
  `setFontRelief​(FontRelief fontRelief)`
  Specifies whether a font should be embossed, engraved, or neither.
  `void`
  `setFontSize​(Size fontSize)`
  Sets the size of a font.
  `void`
  `setFontStyle​(String fontStyle)`
  Sets the font style name.
  `void`
  `setFontStyleType​(FontStyleType fontStyleType)`
  Sets the font style type.
  `void`
  `setFontVariant​(FontVariant fontVariant)`
  Sets the font variant of the text.
  `void`
  `setFontWeight​(FontWeight fontWeight)`
  Sets the weight of a font.
  `void`
  `setGenericFontFamily​(GenericFontFamily genericFontFamily)`
  Sets the generic font family name.This attribute is evaluated for any [UNICODE] character other than CJK or complex text layout (CTL) characters.
  `void`
  `setHyphenationPushCharCount​(int hyphenationPushCharCount)`
  Sets the hyphenation push char count.
  `void`
  `setHyphenationRemainCharCount​(int hyphenationRemainCharCount)`
  Sets the hyphenation remain char count.
  `void`
  `setLanguage​(String language)`
  Sets the language of a text.
  `void`
  `setLetterSpacing​(Size letterSpacing)`
  Sets the spacing between letters.
  `void`
  `setLetterSpacingNormal​(boolean isLetterSpacingNormal)`
  Spacing between letters has value "normal".
  `void`
  `setLineThroughWordMode​(LineMode lineThroughWordMode)`
  Specifies whether lining through is applied to words only or to portions of text.
  `void`
  `setRelativeAsianFontSize​(Size relativeAsianFontSize)`
  Sets the relative font size change.It is evaluated for [UNICODE] characters that are CJK characters.
  `void`
  `setRelativeComplexFontSize​(Size relativeComplexFontSize)`
  Sets the relative font size change.It is evaluated for [UNICODE] characters that are CJK characters.
  `void`
  `setRelativeFontSize​(Size relativeFontSize)`
  Sets the relative font size change.It is evaluated for any [UNICODE] character other than CJK or complex text layout (CTL) characters.
  `void`
  `setScriptType​(ScriptType scriptType)`
  Sets the script type.
  `void`
  `setShadow​(String shadow)`
  Sets the text shadow style to use.
  `void`
  `setTextCombine​(TextCombine textCombine)`
  Specifies whether to combine characters so that they are displayed within two lines.
  `void`
  `setTextCombineEndChar​(char textCombineEndChar)`
  Sets the end character that is displayed after a portion of text.
  `void`
  `setTextCombineStartChar​(char textCombineStartChar)`
  Sets the start character that is displayed before a portion of text.
  `void`
  `setTextLineThrough​(LineType textLineThrough)`
  Sets the color that is used for line-through text.
  `void`
  `setTextLineThroughColor​(String textLineThroughColor)`
  Sets the color that is used for line-through text.
  `void`
  `setTextLineThroughStyle​(LineStyle textLineThroughStyle)`
  Sets the style for rendering a line-through text.
  `void`
  `setTextLineThroughText​(String textLineThroughText)`
  Sets the text that is used for line-through.
  `void`
  `setTextLineThroughTextStyle​(String textLineThroughTextStyle)`
  Sets the text style that is applied to text-line-through characters.
  `void`
  `setTextLineThroughWidth​(String textLineThroughWidth)`
  Sets the width of a line-through line.
  `void`
  `setTextOutline​(boolean textOutline)`
  Specifies whether to display an outline of text or the text itself.
  `void`
  `setTextPosition​(TextPosition textPosition)`
  Specifies whether text is positioned above or below the baseline and to specify the relative font height that is used for this text.
  `void`
  `setTextRotationAngle​(int textRotationAngle)`
  Specifies an angle to which text is rotated.If more than one character is selected, the entire selection is rotated as a block.
  `void`
  `setTextRotationScale​(TextRotationScale textRotationScale)`
  Specifies whether for rotated text the width of the text should be scaled to fit into the current line height or the width of the text should remain fixed, therefore changing the current line height.
  `void`
  `setTextScale​(int textScale)`
  Sets the text scale.
  `void`
  `setTextTransformation​(TextTransformation textTransformation)`
  Sets the text transformation.
  `void`
  `setUnderlineColor​(String underlineColor)`
  Sets the color that is used to underline text.
  `void`
  `setUnderlineStyle​(UnderlineStyle underlineStyle)`
  Sets the style for underlining text.
  `void`
  `setUnderlineType​(UnderlineType underlineType)`
  Sets the type of underlining applied to a text.
  `void`
  `setUnderlineWidth​(String underlineWidth)`
  Sets the width of an underline.
  `void`
  `setUnderlineWordMode​(LineMode underlineWordMode)`
  Specifies whether underlining is applied to words only or to portions of text.
  `void`
  `setWindowFontColor​(boolean useWindowFontColor)`
  Specifies whether the window foreground color should be used as the foreground color for a light background color and white for a dark background color.
  `String`
  `toString()`
  Converts the value of the current DefaultTextStyle object to its equivalent string representation.
  `boolean`
  `useWindowFontColor()`
  Specifies whether the window foreground color should be used as the foreground color for a light background color and white for a dark background color.

  ### Methods inherited from class com.independentsoft.office.odf.styles.DefaultStyle

  `getFamily, setFamily, toString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultTextStyle

    public DefaultTextStyle()
    Initializes a new instance of the DefaultTextStyle class.

- ## Method Details

  - ### clone

    public DefaultTextStyle clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current DefaultTextStyle object to its equivalent string representation.
    Overrides:
      `toString` in class `DefaultStyle`
    Returns:
      the string

  - ### getTextProperties

    public TextProperties getTextProperties()
    Specifies the text properties.
    Returns:
      the text properties

  - ### getFontVariant

    public FontVariant getFontVariant()
    Gets the font variant of the text.
    Returns:
      the font variant

  - ### setFontVariant

    public void setFontVariant​(FontVariant fontVariant)
    Sets the font variant of the text.
    Parameters:
      `fontVariant` - the new font variant

  - ### getTextTransformation

    public TextTransformation getTextTransformation()
    Gets the text transformation.
    Returns:
      the text transformation

  - ### setTextTransformation

    public void setTextTransformation​(TextTransformation textTransformation)
    Sets the text transformation.
    Parameters:
      `textTransformation` - the new text transformation

  - ### getColor

    public String getColor()
    Gets the color of the text.
    Returns:
      the color

  - ### setColor

    public void setColor​(String color)
    Sets the color of the text.
    Parameters:
      `color` - the new color

  - ### useWindowFontColor

    public boolean useWindowFontColor()
    Specifies whether the window foreground color should be used as the foreground color for a light background color and white for a dark background color. The determination of what constitutes a light or dark color is implementation defined.
    Returns:
      true, if successful

  - ### setWindowFontColor

    public void setWindowFontColor​(boolean useWindowFontColor)
    Specifies whether the window foreground color should be used as the foreground color for a light background color and white for a dark background color. The determination of what constitutes a light or dark color is implementation defined.
    Parameters:
      `useWindowFontColor` - the new window font color

  - ### isTextOutline

    public boolean isTextOutline()
    Specifies whether to display an outline of text or the text itself.
    Returns:
      true, if is text outline

  - ### setTextOutline

    public void setTextOutline​(boolean textOutline)
    Specifies whether to display an outline of text or the text itself.
    Parameters:
      `textOutline` - the new text outline

  - ### getTextLineThrough

    public LineType getTextLineThrough()
    Gets the color that is used for line-through text.
    Returns:
      the text line through

  - ### setTextLineThrough

    public void setTextLineThrough​(LineType textLineThrough)
    Sets the color that is used for line-through text.
    Parameters:
      `textLineThrough` - the new text line through

  - ### getTextLineThroughStyle

    public LineStyle getTextLineThroughStyle()
    Gets the style for rendering a line-through text.
    Returns:
      the text line through style

  - ### setTextLineThroughStyle

    public void setTextLineThroughStyle​(LineStyle textLineThroughStyle)
    Sets the style for rendering a line-through text.
    Parameters:
      `textLineThroughStyle` - the new text line through style

  - ### getTextLineThroughWidth

    public String getTextLineThroughWidth()
    Gets the width of a line-through line. The value bold specifies a line width that is calculated from the font sizes like an auto width, but is wider than an auto width.
    Returns:
      the text line through width

  - ### setTextLineThroughWidth

    public void setTextLineThroughWidth​(String textLineThroughWidth)
    Sets the width of a line-through line. The value bold specifies a line width that is calculated from the font sizes like an auto width, but is wider than an auto width.
    Parameters:
      `textLineThroughWidth` - the new text line through width

  - ### getTextLineThroughColor

    public String getTextLineThroughColor()
    Gets the color that is used for line-through text.
    Returns:
      the text line through color

  - ### setTextLineThroughColor

    public void setTextLineThroughColor​(String textLineThroughColor)
    Sets the color that is used for line-through text.
    Parameters:
      `textLineThroughColor` - the new text line through color

  - ### getTextLineThroughText

    public String getTextLineThroughText()
    Gets the text that is used for line-through.
    Returns:
      the text line through text

  - ### setTextLineThroughText

    public void setTextLineThroughText​(String textLineThroughText)
    Sets the text that is used for line-through.
    Parameters:
      `textLineThroughText` - the new text line through text

  - ### getTextLineThroughTextStyle

    public String getTextLineThroughTextStyle()
    Gets the text style that is applied to text-line-through characters. It is not applied to line-through lines. If the attribute appears in an automatic style, it may reference either an automatic text style or a common style. If the attribute appears in a common style, it may reference a common style only.
    Returns:
      the text line through text style

  - ### setTextLineThroughTextStyle

    public void setTextLineThroughTextStyle​(String textLineThroughTextStyle)
    Sets the text style that is applied to text-line-through characters. It is not applied to line-through lines. If the attribute appears in an automatic style, it may reference either an automatic text style or a common style. If the attribute appears in a common style, it may reference a common style only.
    Parameters:
      `textLineThroughTextStyle` - the new text line through text style

  - ### getTextPosition

    public TextPosition getTextPosition()
    Specifies whether text is positioned above or below the baseline and to specify the relative font height that is used for this text.
    Returns:
      the text position

  - ### setTextPosition

    public void setTextPosition​(TextPosition textPosition)
    Specifies whether text is positioned above or below the baseline and to specify the relative font height that is used for this text.
    Parameters:
      `textPosition` - the new text position

  - ### getFont

    public String getFont()
    Gets the font of the text.
    Returns:
      the font

  - ### setFont

    public void setFont​(String font)
    Sets the font of the text.
    Parameters:
      `font` - the new font

  - ### getAsianFont

    public String getAsianFont()
    Gets the font of choice.
    Returns:
      the asian font

  - ### setAsianFont

    public void setAsianFont​(String asianFont)
    Sets the font of choice.
    Parameters:
      `asianFont` - the new asian font

  - ### getComplexFont

    public String getComplexFont()
    Gets the font of choice.
    Returns:
      the complex font

  - ### setComplexFont

    public void setComplexFont​(String complexFont)
    Sets the font of choice.
    Parameters:
      `complexFont` - the new complex font

  - ### getFontStyle

    public String getFontStyle()
    Gets the font style name.
    Returns:
      the font style

  - ### setFontStyle

    public void setFontStyle​(String fontStyle)
    Sets the font style name.
    Parameters:
      `fontStyle` - the new font style

  - ### getAsianFontStyle

    public String getAsianFontStyle()
    Specifies whether to use normal or italic font face. The defined values are: -italic: characters displayed in an italic font face. -normal: characters displayed in normal font face. -oblique: characters displayed in an oblique font face.
    Returns:
      the asian font style

  - ### setAsianFontStyle

    public void setAsianFontStyle​(String asianFontStyle)
    Specifies whether to use normal or italic font face. The defined values are: -italic: characters displayed in an italic font face. -normal: characters displayed in normal font face. -oblique: characters displayed in an oblique font face.
    Parameters:
      `asianFontStyle` - the new asian font style

  - ### getComplexFontStyle

    public String getComplexFontStyle()
    Specifies whether to use normal or italic font face. The defined values are: -italic: characters displayed in an italic font face. -normal: characters displayed in normal font face. -oblique: characters displayed in an oblique font face.
    Returns:
      the complex font style

  - ### setComplexFontStyle

    public void setComplexFontStyle​(String complexFontStyle)
    Specifies whether to use normal or italic font face. The defined values are: -italic: characters displayed in an italic font face. -normal: characters displayed in normal font face. -oblique: characters displayed in an oblique font face.
    Parameters:
      `complexFontStyle` - the new complex font style

  - ### getFontSize

    public Size getFontSize()
    Gets the size of a font.
    Returns:
      the font size

  - ### setFontSize

    public void setFontSize​(Size fontSize)
    Sets the size of a font.
    Parameters:
      `fontSize` - the new font size

  - ### getAsianFontSize

    public Size getAsianFontSize()
    Gets the size of a font.It is evaluated for [UNICODE] characters that are CJK characters.
    Returns:
      the asian font size

  - ### setAsianFontSize

    public void setAsianFontSize​(Size asianFontSize)
    Sets the size of a font.It is evaluated for [UNICODE] characters that are CJK characters.
    Parameters:
      `asianFontSize` - the new asian font size

  - ### getComplexFontSize

    public Size getComplexFontSize()
    Gets the size of a font.It is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
    Returns:
      the complex font size

  - ### setComplexFontSize

    public void setComplexFontSize​(Size complexFontSize)
    Sets the size of a font.It is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
    Parameters:
      `complexFontSize` - the new complex font size

  - ### getRelativeFontSize

    public Size getRelativeFontSize()
    Gets the relative font size change.It is evaluated for any [UNICODE] character other than CJK or complex text layout (CTL) characters.
    Returns:
      the relative font size

  - ### setRelativeFontSize

    public void setRelativeFontSize​(Size relativeFontSize)
    Sets the relative font size change.It is evaluated for any [UNICODE] character other than CJK or complex text layout (CTL) characters.
    Parameters:
      `relativeFontSize` - the new relative font size

  - ### getRelativeAsianFontSize

    public Size getRelativeAsianFontSize()
    Gets the relative font size change.It is evaluated for [UNICODE] characters that are CJK characters.
    Returns:
      the relative asian font size

  - ### setRelativeAsianFontSize

    public void setRelativeAsianFontSize​(Size relativeAsianFontSize)
    Sets the relative font size change.It is evaluated for [UNICODE] characters that are CJK characters.
    Parameters:
      `relativeAsianFontSize` - the new relative asian font size

  - ### getRelativeComplexFontSize

    public Size getRelativeComplexFontSize()
    Gets the relative font size change.It is evaluated for [UNICODE] characters that are CJK characters.
    Returns:
      the relative complex font size

  - ### setRelativeComplexFontSize

    public void setRelativeComplexFontSize​(Size relativeComplexFontSize)
    Sets the relative font size change.It is evaluated for [UNICODE] characters that are CJK characters.
    Parameters:
      `relativeComplexFontSize` - the new relative complex font size

  - ### getCountry

    public String getCountry()
    Gets the country of a text.
    Returns:
      the country

  - ### setCountry

    public void setCountry​(String country)
    Sets the country of a text.
    Parameters:
      `country` - the new country

  - ### getAsianCountry

    public String getAsianCountry()
    Gets the country of a text.It is evaluated for [UNICODE] characters that are CJK characters.
    Returns:
      the asian country

  - ### setAsianCountry

    public void setAsianCountry​(String asianCountry)
    Sets the country of a text.It is evaluated for [UNICODE] characters that are CJK characters.
    Parameters:
      `asianCountry` - the new asian country

  - ### getComplexCountry

    public String getComplexCountry()
    Gets the country of a text.It is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
    Returns:
      the complex country

  - ### setComplexCountry

    public void setComplexCountry​(String complexCountry)
    Sets the country of a text.It is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
    Parameters:
      `complexCountry` - the new complex country

  - ### getLanguage

    public String getLanguage()
    Gets the language of a text.
    Returns:
      the language

  - ### setLanguage

    public void setLanguage​(String language)
    Sets the language of a text.
    Parameters:
      `language` - the new language

  - ### getAsianLanguage

    public String getAsianLanguage()
    Gets the language of a text.It is evaluated for [UNICODE] characters that are CJK characters.
    Returns:
      the asian language

  - ### setAsianLanguage

    public void setAsianLanguage​(String asianLanguage)
    Sets the language of a text.It is evaluated for [UNICODE] characters that are CJK characters.
    Parameters:
      `asianLanguage` - the new asian language

  - ### getComplexLanguage

    public String getComplexLanguage()
    Gets the language of a text.It is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
    Returns:
      the complex language

  - ### setComplexLanguage

    public void setComplexLanguage​(String complexLanguage)
    Sets the language of a text.It is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
    Parameters:
      `complexLanguage` - the new complex language

  - ### getFontCharacterSet

    public String getFontCharacterSet()
    Specifies whether a font defines glyphs according to the semantics of [UNICODE] or not.
    Returns:
      the font character set

  - ### setFontCharacterSet

    public void setFontCharacterSet​(String fontCharacterSet)
    Specifies whether a font defines glyphs according to the semantics of [UNICODE] or not.
    Parameters:
      `fontCharacterSet` - the new font character set

  - ### getAsianFontCharacterSet

    public String getAsianFontCharacterSet()
    Specifies whether a font defines glyphs according to the semantics of [UNICODE] or not. It is evaluated for [UNICODE] characters that are CJK characters.
    Returns:
      the asian font character set

  - ### setAsianFontCharacterSet

    public void setAsianFontCharacterSet​(String asianFontCharacterSet)
    Specifies whether a font defines glyphs according to the semantics of [UNICODE] or not. It is evaluated for [UNICODE] characters that are CJK characters.
    Parameters:
      `asianFontCharacterSet` - the new asian font character set

  - ### getComplexFontCharacterSet

    public String getComplexFontCharacterSet()
    Specifies whether a font defines glyphs according to the semantics of [UNICODE] or not.It is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
    Returns:
      the complex font character set

  - ### setComplexFontCharacterSet

    public void setComplexFontCharacterSet​(String complexFontCharacterSet)
    Specifies whether a font defines glyphs according to the semantics of [UNICODE] or not.It is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
    Parameters:
      `complexFontCharacterSet` - the new complex font character set

  - ### getFontPitch

    public FontPitch getFontPitch()
    Specifies whether a font has a fixed or variable width. This attribute is evaluated for any [UNICODE] character other than CJK or complex text layout (CTL) characters.
    Returns:
      the font pitch

  - ### setFontPitch

    public void setFontPitch​(FontPitch fontPitch)
    Specifies whether a font has a fixed or variable width. This attribute is evaluated for any [UNICODE] character other than CJK or complex text layout (CTL) characters.
    Parameters:
      `fontPitch` - the new font pitch

  - ### getAsianFontPitch

    public FontPitch getAsianFontPitch()
    Specifies whether a font has a fixed or variable width. This attribute is evaluated for [UNICODE] characters that are CJK characters.
    Returns:
      the asian font pitch

  - ### setAsianFontPitch

    public void setAsianFontPitch​(FontPitch asianFontPitch)
    Specifies whether a font has a fixed or variable width. This attribute is evaluated for [UNICODE] characters that are CJK characters.
    Parameters:
      `asianFontPitch` - the new asian font pitch

  - ### getComplexFontPitch

    public FontPitch getComplexFontPitch()
    Specifies whether a font has a fixed or variable width. This attribute is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
    Returns:
      the complex font pitch

  - ### setComplexFontPitch

    public void setComplexFontPitch​(FontPitch complexFontPitch)
    Specifies whether a font has a fixed or variable width. This attribute is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
    Parameters:
      `complexFontPitch` - the new complex font pitch

  - ### getFontFamily

    public String getFontFamily()
    Gets the font family for a text.
    Returns:
      the font family

  - ### setFontFamily

    public void setFontFamily​(String fontFamily)
    Sets the font family for a text.
    Parameters:
      `fontFamily` - the new font family

  - ### getAsianFontFamily

    public String getAsianFontFamily()
    Gets the font family for a text.It is evaluated for [UNICODE] characters that are CJK characters.
    Returns:
      the asian font family

  - ### setAsianFontFamily

    public void setAsianFontFamily​(String asianFontFamily)
    Sets the font family for a text.It is evaluated for [UNICODE] characters that are CJK characters.
    Parameters:
      `asianFontFamily` - the new asian font family

  - ### getComplexFontFamily

    public String getComplexFontFamily()
    Gets the font family for a text.This attribute is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
    Returns:
      the complex font family

  - ### setComplexFontFamily

    public void setComplexFontFamily​(String complexFontFamily)
    Sets the font family for a text.This attribute is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
    Parameters:
      `complexFontFamily` - the new complex font family

  - ### getFontWeight

    public FontWeight getFontWeight()
    Gets the weight of a font.
    Returns:
      the font weight

  - ### setFontWeight

    public void setFontWeight​(FontWeight fontWeight)
    Sets the weight of a font.
    Parameters:
      `fontWeight` - the new font weight

  - ### getAsianFontWeight

    public FontWeight getAsianFontWeight()
    Gets the weight of a font.It is evaluated for [UNICODE] characters that are CJK characters.
    Returns:
      the asian font weight

  - ### setAsianFontWeight

    public void setAsianFontWeight​(FontWeight asianFontWeight)
    Sets the weight of a font.It is evaluated for [UNICODE] characters that are CJK characters.
    Parameters:
      `asianFontWeight` - the new asian font weight

  - ### getComplexFontWeight

    public FontWeight getComplexFontWeight()
    Gets the weight of a font.It is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
    Returns:
      the complex font weight

  - ### setComplexFontWeight

    public void setComplexFontWeight​(FontWeight complexFontWeight)
    Sets the weight of a font.It is evaluated for [UNICODE] characters that are complex text layout (CTL) characters.
    Parameters:
      `complexFontWeight` - the new complex font weight

  - ### getGenericFontFamily

    public GenericFontFamily getGenericFontFamily()
    Gets the generic font family name.This attribute is evaluated for any [UNICODE] character other than CJK or complex text layout (CTL) characters.
    Returns:
      the generic font family

  - ### setGenericFontFamily

    public void setGenericFontFamily​(GenericFontFamily genericFontFamily)
    Sets the generic font family name.This attribute is evaluated for any [UNICODE] character other than CJK or complex text layout (CTL) characters.
    Parameters:
      `genericFontFamily` - the new generic font family

  - ### getAsianGenericFontFamily

    public GenericFontFamily getAsianGenericFontFamily()
    Gets the generic Asian font family name.It is evaluated for [UNICODE] characters that are CJK characters.
    Returns:
      the asian generic font family

  - ### setAsianGenericFontFamily

    public void setAsianGenericFontFamily​(GenericFontFamily asianGenericFontFamily)
    Sets the generic Asian font family name.It is evaluated for [UNICODE] characters that are CJK characters.
    Parameters:
      `asianGenericFontFamily` - the new asian generic font family

  - ### getComplexGenericFontFamily

    public GenericFontFamily getComplexGenericFontFamily()
    Gets the generic font family name.
    Returns:
      the complex generic font family

  - ### setComplexGenericFontFamily

    public void setComplexGenericFontFamily​(GenericFontFamily complexGenericFontFamily)
    Sets the generic font family name.
    Parameters:
      `complexGenericFontFamily` - the new complex generic font family

  - ### getFontStyleType

    public FontStyleType getFontStyleType()
    Gets the font style type.
    Returns:
      the font style type

  - ### setFontStyleType

    public void setFontStyleType​(FontStyleType fontStyleType)
    Sets the font style type.
    Parameters:
      `fontStyleType` - the new font style type

  - ### getAsianFontStyleType

    public FontStyleType getAsianFontStyleType()
    Gets the font asian style type.
    Returns:
      the asian font style type

  - ### setAsianFontStyleType

    public void setAsianFontStyleType​(FontStyleType asianFontStyleType)
    Sets the font asian style type.
    Parameters:
      `asianFontStyleType` - the new asian font style type

  - ### getComplexFontStyleType

    public FontStyleType getComplexFontStyleType()
    Gets the font complex style type.
    Returns:
      the complex font style type

  - ### setComplexFontStyleType

    public void setComplexFontStyleType​(FontStyleType complexFontStyleType)
    Sets the font complex style type.
    Parameters:
      `complexFontStyleType` - the new complex font style type

  - ### getBackgroundColor

    public String getBackgroundColor()
    Gets the background color for text sections. This can be transparent or a color.
    Returns:
      the background color

  - ### setBackgroundColor

    public void setBackgroundColor​(String backgroundColor)
    Sets the background color for text sections. This can be transparent or a color.
    Parameters:
      `backgroundColor` - the new background color

  - ### getShadow

    public String getShadow()
    Gets the text shadow style to use.
    Returns:
      the shadow

  - ### setShadow

    public void setShadow​(String shadow)
    Sets the text shadow style to use.
    Parameters:
      `shadow` - the new shadow

  - ### getScriptType

    public ScriptType getScriptType()
    Gets the script type. The attribute is evaluated for any [UNICODE] characters that are not CJK or complex text layout (CTL) characters.
    Returns:
      the script type

  - ### setScriptType

    public void setScriptType​(ScriptType scriptType)
    Sets the script type. The attribute is evaluated for any [UNICODE] characters that are not CJK or complex text layout (CTL) characters.
    Parameters:
      `scriptType` - the new script type

  - ### getFontRelief

    public FontRelief getFontRelief()
    Specifies whether a font should be embossed, engraved, or neither.
    Returns:
      the font relief

  - ### setFontRelief

    public void setFontRelief​(FontRelief fontRelief)
    Specifies whether a font should be embossed, engraved, or neither.
    Parameters:
      `fontRelief` - the new font relief

  - ### getUnderlineType

    public UnderlineType getUnderlineType()
    Gets the type of underlining applied to a text.
    Returns:
      the underline type

  - ### setUnderlineType

    public void setUnderlineType​(UnderlineType underlineType)
    Sets the type of underlining applied to a text.
    Parameters:
      `underlineType` - the new underline type

  - ### getUnderlineStyle

    public UnderlineStyle getUnderlineStyle()
    Gets the style for underlining text.
    Returns:
      the underline style

  - ### setUnderlineStyle

    public void setUnderlineStyle​(UnderlineStyle underlineStyle)
    Sets the style for underlining text.
    Parameters:
      `underlineStyle` - the new underline style

  - ### getUnderlineWordMode

    public LineMode getUnderlineWordMode()
    Specifies whether underlining is applied to words only or to portions of text. If underlining is applied to text portions, the spaces between words and the words are underlined.
    Returns:
      the underline word mode

  - ### setUnderlineWordMode

    public void setUnderlineWordMode​(LineMode underlineWordMode)
    Specifies whether underlining is applied to words only or to portions of text. If underlining is applied to text portions, the spaces between words and the words are underlined.
    Parameters:
      `underlineWordMode` - the new underline word mode

  - ### getUnderlineWidth

    public String getUnderlineWidth()
    Gets the width of an underline. The value bold specifies a line width that is calculated from the font sizes like an auto width, but is wider than an auto width. The defined values are: -auto: the width of an underline should be calculated from the font size of the text where the underline will appear. -bold: the width of an underline should be calculated from the font size of the text where the underline will appear but is wider than for the value of auto. -a value of type percent -a value of type positive integer -a value of type positive length
    Returns:
      the underline width

  - ### setUnderlineWidth

    public void setUnderlineWidth​(String underlineWidth)
    Sets the width of an underline. The value bold specifies a line width that is calculated from the font sizes like an auto width, but is wider than an auto width. The defined values are: -auto: the width of an underline should be calculated from the font size of the text where the underline will appear. -bold: the width of an underline should be calculated from the font size of the text where the underline will appear but is wider than for the value of auto. -a value of type percent -a value of type positive integer -a value of type positive length
    Parameters:
      `underlineWidth` - the new underline width

  - ### getUnderlineColor

    public String getUnderlineColor()
    Gets the color that is used to underline text. The value of this attribute is either font-color or a color. The defined values are: -font-color: the current text color is used for underlining. -a value of type color: the color to be used for underlining.
    Returns:
      the underline color

  - ### setUnderlineColor

    public void setUnderlineColor​(String underlineColor)
    Sets the color that is used to underline text. The value of this attribute is either font-color or a color. The defined values are: -font-color: the current text color is used for underlining. -a value of type color: the color to be used for underlining.
    Parameters:
      `underlineColor` - the new underline color

  - ### getLineThroughWordMode

    public LineMode getLineThroughWordMode()
    Specifies whether lining through is applied to words only or to portions of text.
    Returns:
      the line through word mode

  - ### setLineThroughWordMode

    public void setLineThroughWordMode​(LineMode lineThroughWordMode)
    Specifies whether lining through is applied to words only or to portions of text.
    Parameters:
      `lineThroughWordMode` - the new line through word mode

  - ### isEnableLetterKerning

    public boolean isEnableLetterKerning()
    Specifies whether kerning between characters is enabled or disabled.
    Returns:
      true, if is enable letter kerning

  - ### setEnableLetterKerning

    public void setEnableLetterKerning​(boolean enableLetterKerning)
    Specifies whether kerning between characters is enabled or disabled.
    Parameters:
      `enableLetterKerning` - the new enable letter kerning

  - ### isEnableTextBlinking

    public boolean isEnableTextBlinking()
    Specifies whether text blinks.
    Returns:
      true, if is enable text blinking

  - ### setEnableTextBlinking

    public void setEnableTextBlinking​(boolean enableTextBlinking)
    Specifies whether text blinks.
    Parameters:
      `enableTextBlinking` - the new enable text blinking

  - ### getTextCombine

    public TextCombine getTextCombine()
    Specifies whether to combine characters so that they are displayed within two lines.
    Returns:
      the text combine

  - ### setTextCombine

    public void setTextCombine​(TextCombine textCombine)
    Specifies whether to combine characters so that they are displayed within two lines.
    Parameters:
      `textCombine` - the new text combine

  - ### getTextCombineStartChar

    public char getTextCombineStartChar()
    Gets the start character that is displayed before a portion of text.
    Returns:
      the text combine start char

  - ### setTextCombineStartChar

    public void setTextCombineStartChar​(char textCombineStartChar)
    Sets the start character that is displayed before a portion of text.
    Parameters:
      `textCombineStartChar` - the new text combine start char

  - ### getTextCombineEndChar

    public char getTextCombineEndChar()
    Gets the end character that is displayed after a portion of text.
    Returns:
      the text combine end char

  - ### setTextCombineEndChar

    public void setTextCombineEndChar​(char textCombineEndChar)
    Sets the end character that is displayed after a portion of text.
    Parameters:
      `textCombineEndChar` - the new text combine end char

  - ### getTextRotationAngle

    public int getTextRotationAngle()
    Specifies an angle to which text is rotated.If more than one character is selected, the entire selection is rotated as a block. The defined values for are: -0 degrees -90 degrees -270 degrees -an angle. The value shall be one of 0deg, 90deg or 270deg, or any of its equivalents in rad or grad.
    Returns:
      the text rotation angle

  - ### setTextRotationAngle

    public void setTextRotationAngle​(int textRotationAngle)
    Specifies an angle to which text is rotated.If more than one character is selected, the entire selection is rotated as a block. The defined values for are: -0 degrees -90 degrees -270 degrees -an angle. The value shall be one of 0deg, 90deg or 270deg, or any of its equivalents in rad or grad.
    Parameters:
      `textRotationAngle` - the new text rotation angle

  - ### getTextRotationScale

    public TextRotationScale getTextRotationScale()
    Specifies whether for rotated text the width of the text should be scaled to fit into the current line height or the width of the text should remain fixed, therefore changing the current line height.
    Returns:
      the text rotation scale

  - ### setTextRotationScale

    public void setTextRotationScale​(TextRotationScale textRotationScale)
    Specifies whether for rotated text the width of the text should be scaled to fit into the current line height or the width of the text should remain fixed, therefore changing the current line height.
    Parameters:
      `textRotationScale` - the new text rotation scale

  - ### isEnableHyphenation

    public boolean isEnableHyphenation()
    Checks if is enable hyphenation.
    Returns:
      true, if is enable hyphenation

  - ### setEnableHyphenation

    public void setEnableHyphenation​(boolean enableHyphenation)
    Sets the enable hyphenation.
    Parameters:
      `enableHyphenation` - the new enable hyphenation

  - ### getHyphenationRemainCharCount

    public int getHyphenationRemainCharCount()
    Gets the hyphenation remain char count.
    Returns:
      the hyphenation remain char count

  - ### setHyphenationRemainCharCount

    public void setHyphenationRemainCharCount​(int hyphenationRemainCharCount)
    Sets the hyphenation remain char count.
    Parameters:
      `hyphenationRemainCharCount` - the new hyphenation remain char count

  - ### getHyphenationPushCharCount

    public int getHyphenationPushCharCount()
    Gets the hyphenation push char count.
    Returns:
      the hyphenation push char count

  - ### setHyphenationPushCharCount

    public void setHyphenationPushCharCount​(int hyphenationPushCharCount)
    Sets the hyphenation push char count.
    Parameters:
      `hyphenationPushCharCount` - the new hyphenation push char count

  - ### isLetterSpacingNormal

    public boolean isLetterSpacingNormal()
    Spacing between letters has value "normal".
    Returns:
      true, if is letter spacing normal

  - ### setLetterSpacingNormal

    public void setLetterSpacingNormal​(boolean isLetterSpacingNormal)
    Spacing between letters has value "normal".
    Parameters:
      `isLetterSpacingNormal` - the new letter spacing normal

  - ### getLetterSpacing

    public Size getLetterSpacing()
    Gets the spacing between letters.
    Returns:
      the letter spacing

  - ### setLetterSpacing

    public void setLetterSpacing​(Size letterSpacing)
    Sets the spacing between letters.
    Parameters:
      `letterSpacing` - the new letter spacing

  - ### getTextScale

    public int getTextScale()
    Gets the text scale.
    Returns:
      the text scale

  - ### setTextScale

    public void setTextScale​(int textScale)
    Sets the text scale.
    Parameters:
      `textScale` - the new text scale